## ros-iron-rmw-connextdds-common 0.14.1

=== CMakeLists.txt ===
# Copyright 2020 Real-Time Innovations, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_connextdds_common)

find_package(ament_cmake REQUIRED)

################################################################################
# rtirmw_add_library(
#     NAME      <library name>
#     API       PRO|MICRO
#     SOURCES   <source and header files>
#     DEPS      <ament package dependencies>
#     INCLUDES  <extra include directories>
#     LIBRARIES <extra linked libraries>
#     DEFINES   <extra defines>
#     [STATIC]
#     )
################################################################################
function(rtirmw_add_library)
    cmake_parse_arguments(_rti_build
      "" # boolean arguments
      "NAME;API;EXPORT" # single value arguments
      "SOURCES;DEPS;INCLUDES;LIBRARIES;DEFINES" # multi-value arguments
      ${ARGN} # current function arguments
    )

    # Default to C++14
    if(NOT CMAKE_CXX_STANDARD)
        set(CMAKE_CXX_STANDARD 14)
    endif()

    if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        add_compile_options(-Wall -Wextra -Wpedantic -Wimplicit-fallthrough)
    endif()

    add_library(${_rti_build_NAME} SHARED ${_rti_build_SOURCES})

    target_include_directories(${_rti_build_NAME} PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
        $<INSTALL_INTERFACE:include>
        ${_rti_build_INCLUDES})

    target_link_libraries(${_rti_build_NAME}
        ${_rti_build_LIBRARIES}
        fastcdr)

    ament_target_dependencies(${_rti_build_NAME}
        ${_rti_build_DEPS})

    set(_extra_defines)
    if("${CMAKE_BUILD_TYPE}" MATCHES "[dD]ebug")
      list(APPEND _extra_defines "RMW_CONNEXT_DEBUG=1")
    endif()

    target_compile_definitions(${_rti_build_NAME}
        PUBLIC
            RMW_VERSION_MAJOR=${rmw_VERSION_MAJOR}
            RMW_VERSION_MINOR=${rmw_VERSION_MINOR}
            RMW_VERSION_PATCH=${rmw_VERSION_PATCH}
            RMW_CONNEXT_DDS_API=RMW_CONNEXT_DDS_API_${_rti_build_API}
            ${_rti_build_DEFINES}
            ${_extra_defines}
    )

    set(private_defines)

    if(NOT "${RMW_CONNEXT_LOG_MODE}" STREQUAL "")
        string(TOUPPER "${RMW_CONNEXT_LOG_MODE}" rmw_connext_log_mode)
        list(APPEND private_defines
          "RMW_CONNEXT_LOG_MODE=RMW_CONNEXT_LOG_MODE_${rmw_connext_log_mode}")
        set(RMW_CONNEXT_LOG_MODE "${RMW_CONNEXT_LOG_MODE}"
            CACHE INTERNAL "")
    endif()

    target_compile_definitions(${_rti_build_NAME} PRIVATE ${private_defines})

    # Causes the visibility macros to use dllexport rather than dllimport,
    # which is appropriate when building the dll but not consuming it.
    target_compile_definitions(${_rti_build_NAME}
        PRIVATE "RMW_CONNEXTDDS_BUILDING_LIBRARY")

    install(
        TARGETS ${_rti_build_NAME}
        EXPORT ${_rti_build_EXPORT}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
    )
endfunction()

################################################################################
# Load external dependencies
################################################################################
set(RMW_CONNEXT_DEPS
    rcutils
    rcpputils
    rmw
    rmw_dds_common
    fastcdr
    rosidl_runtime_c
    rosidl_runtime_cpp
    rosidl_typesupport_fastrtps_c
    rosidl_typesupport_fastrtps_cpp
    rosidl_typesupport_introspection_c
    rosidl_typesupport_introspection_cpp
    rti_connext_dds_cmake_module)

foreach(pkg_dep ${RMW_CONNEXT_DEPS})
    find_package(${pkg_dep} REQUIRED)
endforeach()

################################################################################
# Common Source Configuration
################################################################################
set(RMW_CONNEXT_DIR     ${CMAKE_CURRENT_SOURCE_DIR})

set(RMW_CONNEXT_COMMON_SOURCE_CPP
    src/common/rmw_context.cpp
    src/common/rmw_discovery.cpp
    src/common/rmw_network_flow_endpoints.cpp
    src/common/rmw_graph.cpp
    src/common/rmw_event.cpp
    src/common/rmw_impl.cpp
    src/common/rmw_impl_waitset_std.cpp
    src/common/rmw_info.cpp
    src/common/rmw_listener.cpp
    src/common/rmw_node.cpp
    src/common/rmw_publication.cpp
    src/common/rmw_qos.cpp
    src/common/rmw_security_log.cpp
    src/common/rmw_serde.cpp
    src/common/rmw_service.cpp
    src/common/rmw_subscription.cpp
    src/common/rmw_waitset.cpp
    src/common/rmw_type_support.cpp
    src/common/demangle.cpp)

set(RMW_CONNEXT_COMMON_SOURCE_HPP
    include/rmw_connextdds/context.hpp
    include/rmw_connextdds/dds_api.hpp
    include/rmw_connextdds/demangle.hpp
    include/rmw_connextdds/discovery.hpp
    include/rmw_connextdds/graph_cache.hpp
    include/rmw_connextdds/log.hpp
    include/rmw_connextdds/namespace_prefix.hpp
    include/rmw_connextdds/resource_limits.hpp
    include/rmw_connextdds/rmw_impl.hpp
    include/rmw_connextdds/rmw_api_impl.hpp
    include/rmw_connextdds/rmw_waitset_std.hpp
    include/rmw_connextdds/scope_exit.hpp
    include/rmw_connextdds/static_config.hpp
    include/rmw_connextdds/type_support.hpp
    include/rmw_connextdds/visibility_control.h)

set(RMW_CONNEXT_COMMON_SOURCE
    ${RMW_CONNEXT_COMMON_SOURCE_CPP}
    ${RMW_CONNEXT_COMMON_SOURCE_HPP})

################################################################################
# Check if additional Connext components are needed (e.g. security)
################################################################################
set(extra_components)
if(RMW_CONNEXT_ENABLE_SECURITY)
  list(APPEND extra_components "security_plugins")
endif()

################################################################################
# Build Connext Pro version
################################################################################
rti_find_connextpro()

if(NOT RTIConnextDDS_FOUND)
    # Skip package if Connext DDS Professional was not found
    message(STATUS
      "RTI Connext DDS Professional not found. "
      "Skipping library ${PROJECT_NAME}_pro")
else()
    set(extra_defines)
    if("${CONNEXTDDS_VERSION}" VERSION_LESS "6.0.0")
      list(APPEND extra_defines "RMW_CONNEXT_DDS_API_PRO_LEGACY=1")
    endif()
    if(CONNEXTDDS_ARCH MATCHES ".*Win.*")
      list(APPEND extra_defines "RMW_CONNEXT_BUILTIN_CFT_COMPATIBILITY_MODE=1")
    endif()
    rtirmw_add_library(
        NAME      ${PROJECT_NAME}_pro
        API       PRO
        EXPORT    export_${PROJECT_NAME}
        SOURCES   ${RMW_CONNEXT_COMMON_SOURCE}
                  src/ndds/rmw_type_support_ndds.cpp
                  src/ndds/rmw_typecode.cpp
                  src/ndds/dds_api_ndds.cpp
                  src/ndds/custom_sql_filter.cpp
                  include/rmw_connextdds/typecode.hpp
                  include/rmw_connextdds/dds_api_ndds.hpp
                  include/rmw_connextdds/custom_sql_filter.hpp
        DEPS      ${RMW_CONNEXT_DEPS}
        LIBRARIES RTIConnextDDS::c_api
        DEFINES   ${extra_defines})
endif()

################################################################################
# Build Connext Micro version
################################################################################
rti_find_connextmicro(${extra_components})

if(NOT RTIConnextDDSMicro_FOUND)
    message(STATUS
      "RTI Connext DDS Micro not found. Skipping library ${PROJECT_NAME}_micro")
else()
    set(RTIME_EXT           rti_connextdds_micro_ext)

    add_library(${RTIME_EXT} SHARED
        src/rtime/rtime_ext.c
        include/rmw_connextdds/rtime_ext.h
        include/rmw_connextdds/visibility_control.h)

    target_include_directories(${RTIME_EXT}
        PRIVATE "$<BUILD_INTERFACE:${RTIMEHOME}/include>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/domain>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/subscription>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/publication>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/infrastructure>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/topic>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/type>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/dds_c/builtin_ipc>"
                "$<BUILD_INTERFACE:${RTIMEHOME}/src/reda/sequence>")

    target_include_directories(${RTIME_EXT}
        PUBLIC
            "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
            "$<INSTALL_INTERFACE:include>")

    target_link_libraries(${RTIME_EXT}  RTIConnextDDSMicro::c_api)

    install(
        TARGETS ${RTIME_EXT}
        EXPORT export_${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
    )

    set(extra_libs)
    set(extra_defines)
    if(RMW_CONNEXT_ENABLE_SECURITY)
      list(APPEND extra_libs
        RTIConnextDDSMicro::ddssecurity
        RTIConnextDDSMicro::seccore)
      list(APPEND extra_defines
        RMW_CONNEXT_ENABLE_SECURITY=1)
    endif()

    rtirmw_add_library(
      NAME      ${PROJECT_NAME}_micro
      API       MICRO
      EXPORT    export_${PROJECT_NAME}
      SOURCES   ${RMW_CONNEXT_COMMON_SOURCE}
                src/rtime/rmw_type_support_rtime.cpp
                src/rtime/dds_api_rtime.cpp
                include/rmw_connextdds/dds_api_rtime.hpp
      DEPS      ${RMW_CONNEXT_DEPS}
      LIBRARIES RTIConnextDDSMicro::c_api
                RTIConnextDDSMicro::netiosdm
                RTIConnextDDSMicro::netioshmem
                RTIConnextDDSMicro::whsm
                RTIConnextDDSMicro::rhsm
                RTIConnextDDSMicro::discdpde
                ${extra_libs}
                ${RTIME_EXT}
      INCLUDES  ${${rti_connext_dds_cmake_module_DIR}/../../../include}
      DEFINES   ${extra_defines})
endif()

if(TARGET ${PROJECT_NAME}_pro OR TARGET ${PROJECT_NAME}_micro)
  set(RMW_CONNEXT_BUILT   true)
endif()

################################################################################
# Configure Ament package
################################################################################
ament_export_dependencies(${RMW_CONNEXT_DEPS})

if(RMW_CONNEXT_BUILT)
    ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
endif()

install(
    DIRECTORY include/
    DESTINATION include
)

if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-rmw-connextdds-common (0.14.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.14.0-1jammy) jammy; urgency=high

  * [rmw_connextdds] New RMW discovery options (#108 <https://github.com/ros2/rmw_connextdds/issues/108>)
  * Call get_type_hash_func (#113 <https://github.com/ros2/rmw_connextdds/issues/113>)
  * Type hash distribution during discovery (rep2011) (#104 <https://github.com/ros2/rmw_connextdds/issues/104>)
  * Implement matched event (#101 <https://github.com/ros2/rmw_connextdds/issues/101>)
  * Add in implementation of inconsistent topic. (#103 <https://github.com/ros2/rmw_connextdds/issues/103>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Grey, Michael Carroll

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.13.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client impl (#92 <https://github.com/ros2/rmw_connextdds/issues/92>)
  * Contributors: Brian

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.12.1-1jammy) jammy; urgency=high

  * Fix assert statement to allow the seconds field of a DDS_Duration_t to be zero (#88 <https://github.com/ros2/rmw_connextdds/issues/88>)
  * Contributors: Michael Jeronimo

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.12.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies in common  (#85 <https://github.com/ros2/rmw_connextdds/issues/85>)
  * Contributors: Jose Luis Rivero

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 02 May 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.11.1-1jammy) jammy; urgency=high

  * Resolve build error with RTI Connext DDS 5.3.1 (#82 <https://github.com/ros2/rmw_connextdds/issues/82>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 25 Apr 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.11.0-1jammy) jammy; urgency=high

  * Exclude missing sample info fields when building rmw_connextddsmicro (#79 <https://github.com/ros2/rmw_connextdds/issues/79>)
  * Properly initialize CDR stream before using it for filtering (#81 <https://github.com/ros2/rmw_connextdds/issues/81>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.10.0-1jammy) jammy; urgency=high

  * Add support for user-specified content filters (#68 <https://github.com/ros2/rmw_connextdds/issues/68>)
  * add stub for content filtered topic (#77 <https://github.com/ros2/rmw_connextdds/issues/77>)
  * Add sequence numbers to message info structure (#74 <https://github.com/ros2/rmw_connextdds/issues/74>)
  * Contributors: Andrea Sorbini, Chen Lihui, Ivan Santiago Paunovic

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.9.0-1jammy) jammy; urgency=high

  * Add rmw listener apis (#44 <https://github.com/rticommunity/rmw_connextdds/issues/44>)
  * Contributors: iRobot ROS

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.8.3-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 09 Feb 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.8.2-1jammy) jammy; urgency=high

  * Fix cpplint errors (#69 <https://github.com/ros2/rmw_connextdds/issues/69>)
  * Contributors: Jacob Perron

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.8.1-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#67 <https://github.com/rticommunity/rmw_connextdds/issues/67>)
  * Contributors: mauropasse

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.8.0-1jammy) jammy; urgency=high

  * Update rmw_context_impl_t definition (#65 <https://github.com/ros2/rmw_connextdds/issues/65>)
  * Use the new rmw_dds_common::get_security_files API (#61 <https://github.com/ros2/rmw_connextdds/issues/61>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Andrea Sorbini <asorbini@rti.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.7.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#20 <https://github.com/rticommunity/rmw_connextdds/issues/20>)
  * Support extended signature for message_type_support_callbacks_t::max_serialized_size() from rosidl_typesupport_fastrtps_cpp. (#14 <https://github.com/rticommunity/rmw_connextdds/issues/14>)
  * Update includes after rcutils/get_env.h deprecation. (#55 <https://github.com/rticommunity/rmw_connextdds/issues/55>)
  * Always modify UserObjectQosPolicy regardless of override policy. (#53 <https://github.com/rticommunity/rmw_connextdds/issues/53>)
  * Improved conversion of time values between ROS and DDS formats. (#43 <https://github.com/rticommunity/rmw_connextdds/issues/43>)
  * Allow sharing DomainParticipant with C++ applications. (#25 <https://github.com/rticommunity/rmw_connextdds/issues/25>)
  * Add environment variable to control override of DomainParticipantQos. (#41 <https://github.com/rticommunity/rmw_connextdds/issues/41>)
  * Contributors: Andrea Sorbini, Barry Xu, Christophe Bedard, Miguel Company

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 03 Jun 2021 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.6.1-1jammy) jammy; urgency=high

  * Correctly detect empty messages (#33 <https://github.com/rticommunity/rmw_connextdds/issues/33>)
  * Contributors: Andrea Sorbini

 -- Andrea Sorbini <asorbini@rti.com>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-rmw-connextdds-common (0.6.0-1jammy) jammy; urgency=high

  * Use rmw_qos_profile_unknown when adding entity to graph (#28 <https://github.com/rticommunity/rmw_connextdds/issues/28>)


=== debian/control ===
Source: ros-iron-rmw-connextdds-common
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-fastcdr, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-rmw, ros-iron-rmw-dds-common, ros-iron-rosidl-runtime-c, ros-iron-rosidl-runtime-cpp, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp, ros-iron-rosidl-typesupport-introspection-c, ros-iron-rosidl-typesupport-introspection-cpp, ros-iron-rti-connext-dds-cmake-module, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmw-connextdds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-cmake, ros-iron-fastcdr, ros-iron-rcpputils, ros-iron-rcutils, ros-iron-rmw, ros-iron-rmw-dds-common, ros-iron-rosidl-runtime-c, ros-iron-rosidl-runtime-cpp, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp, ros-iron-rosidl-typesupport-introspection-c, ros-iron-rosidl-typesupport-introspection-cpp, ros-iron-rti-connext-dds-cmake-module, ros-iron-ros-workspace
Description: Common source for RMW implementations built with RTI Connext DDS Professional and RTI Connext DDS Micro.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmw-connextdds-common//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
